%define _unpackaged_files_terminate_build 0
Summary: FPM config and init files for PHP
Summary(ko): PHP FPM 설정 파일 및 구동 파일
Name: php-fpm-conf
Version: 5.5.38
Release: 1%{?dist}
Epoch: 20
License: PHP
Group: User Interface/AnNyung
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Source0: php-fpm.init
Source1: php-fpm.conf
Source2: php-fpm-fcgi.ini
Source3: php-shared.ini
Source4: php-53compatible.ini
Source100: status.html


%description
The php-fpm package contains fpm configuration and init files.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{fpm,fpm.d}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{fpm,fpm.d}
%{__mkdir_p} %{buildroot}%{_datadir}/php

%{__mkdir_p} %{buildroot}%{_localstatedir}/log/fpm

%{__install} -m755 %{SOURCE0} %{buildroot}%{_sysconfdir}/rc.d/init.d/php-fpm
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php.d/php-fpm.conf
%{__install} -m444 %{SOURCE2} %{buildroot}%{_sysconfdir}/php.d/php-fpm-fcgi.ini
%{__install} -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/php.d/fpm/SHARED.ini
%{__install} -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/php.d/fpm/php53compatible.ini
%{__install} -m644 %{SOURCE100} %{buildroot}%{_datadir}/php/fpm-status.html

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/php.d/fpm
%dir %{_sysconfdir}/php.d/fpm.d
%dir %{_localstatedir}/log/fpm
%{_sysconfdir}/rc.d/init.d/php-fpm
%{_datadir}/php/fpm-status.html
%config(noreplace) %{_sysconfdir}/php.d/php-fpm-fcgi.ini
%config(noreplace) %{_sysconfdir}/php.d/php-fpm.conf
%config(noreplace) %{_sysconfdir}/php.d/fpm/*.ini

%changelog
* Sun Jul  8 2018 JoungKyun.Kim <hostmaster@oops.org> 20:5.5.38-1%{?dist}
- FPM: Dumpable FPM child processes allow bypassing opcache access controls (#75605)

* Sat Jan 25 2014 JoungKyun.Kim <hostmaster@oops.org> 20:5.5.8-1%{?dist}
- 1st packaged

